
QGIS Application - Bug report #18141

[GUI] Disable edit tools when no layer is selected/available nor selected layer is in edit mode

2018-02-19 10:57 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: GUI

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26034

Description

Open QGIS

Expand Edit menu

There are some items that should be grayed and that aren't.

Related issues:

Related to QGIS Application - Bug report # 20333: "Add Rectangle From 3 Point... Closed 2018-11-02

Associated revisions

Revision ab3adc66 - 2019-01-25 09:00 AM - Alexander Bruy

[gui] enable deselect feature and create rectangle action only when

there is a vector layer in the project (fix #18141, #20333)

Revision 38051a95 - 2019-01-25 09:31 AM - Alexander Bruy

[gui] enable deselect feature and create rectangle action only when

there is a vector layer in the project (fix #18141, #20333)

(cherry picked from commit ab3adc663c37b3da589cf6bae56d733fcbc4feb3)

History

#1 - 2018-03-08 08:56 AM - Giovanni Manghi

- Affected QGIS version changed from master to 2.99(master)

#2 - 2018-11-03 12:20 PM - Harrissou Santanna

- Related to Bug report #20333: "Add Rectangle From 3 Points" is enabled on a new project added

#3 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#4 - 2019-01-21 05:24 PM - Harrissou Santanna

- Affected QGIS version changed from 2.99(master) to 3.5(master)

- Status changed from Feedback to Open
Checking master, I can see the following tools enabled in Edit menu, while there's no need:

    -  Select --> Deselect features from all layers (not a big issue but unnecessary as the app just opens and is empty)

    -  Add rectangle --> Add rectangle from 3 points (both distance from 2nd and 3rd points, and projected point...)

#5 - 2019-01-25 09:00 AM - Alexander Bruy

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|ab3adc663c37b3da589cf6bae56d733fcbc4feb3.

#6 - 2019-01-25 09:31 AM - Alexander Bruy

- Assignee set to Alexander Bruy

- Resolution set to fixed/implemented
